## monodevelop-java 1.0

=== Makefile ===

EXTRA_DIST = JavaBinding.make rules.make configure Makefile.include COPYING

all: all-recursive

top_srcdir=.
include $(top_srcdir)/config.make
include $(top_srcdir)/rules.make

#include $(top_srcdir)/custom-hooks.make

#Warning: This is an automatically generated file, do not edit!
ifeq ($(CONFIG),DEBUG)
 SUBDIRS =  . po 
endif
ifeq ($(CONFIG),RELEASE)
 SUBDIRS =  . po
endif

# Include project specific makefile
include JavaBinding.make

CONFIG_MAKE=$(top_srcdir)/config.make

%-recursive: $(CONFIG_MAKE)
	@set . $$MAKEFLAGS; final_exit=:; \
	case $$2 in --unix) shift ;; esac; \
	case $$2 in *=*) dk="exit 1" ;; *k*) dk=: ;; *) dk="exit 1" ;; esac; \
	make pre-$*-hook prefix=$(prefix) ;\
	for dir in $(SUBDIRS); do \
		case $$dir in \
		.) make $*-local || { final_exit="exit 1"; $$dk; };;\
		*) (cd $$dir && make $*) || { final_exit="exit 1"; $$dk; };;\
		esac \
	done; \
	make post-$*-hook prefix=$(prefix) ;\
	$$final_exit

$(CONFIG_MAKE):
	echo "You must run configure first"
	exit 1

clean: clean-recursive
install: install-recursive
uninstall: uninstall-recursive

dist: $(CONFIG_MAKE)
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	make pre-dist-hook distdir=$$distdir
	for dir in $(SUBDIRS); do \
		pkgdir=`pwd`/$(PACKAGE)-$(VERSION); \
		mkdir $$pkgdir/$$dir || true; \
		case $$dir in \
		.) make dist-local distdir=$$pkgdir || exit 1;; \
		*) (cd $$dir; make dist-local distdir=$$pkgdir/$$dir) || exit 1;; \
		esac \
	done
	(make dist-local distdir=$(PACKAGE)-$(VERSION))
	make
	make post-dist-hook distsir=$$distdir
	tar czvf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -rf $(PACKAGE)-$(VERSION)
	@echo "=========================================="
	@echo "$(PACKAGE)-$(VERSION) has been packaged > $(PACKAGE)-$(VERSION).tar.gz"
	@echo "=========================================="

distcheck: dist
	(mkdir test; cd test;  \
	 tar xzvf ../$(PACKAGE)-$(VERSION).tar.gz; cd $(PACKAGE)-$(VERSION); \
	 ./configure --prefix=$$(cd `pwd`/..; pwd); \
	 make && make install && make dist);
	rm -rf test

=== po/Makefile ===

# Warning: This is an automatically generated file, do not edit!

srcdir=.
top_srcdir=../

include $(top_srcdir)/Makefile.include
include $(top_srcdir)/config.make

MDTOOL = $(LOCAL_PKGCONFIG) mono `$(LOCAL_PKGCONFIG) pkg-config --variable=libdir monodevelop`/bin/mdrun.exe
BUILD_DIR = ../build/locale
INSTALL_DIR = $(DESTDIR)$(prefix)/lib/monodevelop/AddIns/JavaBinding/locale

FILES = \
	ca.po\
	cs.po\
	da.po\
	de.po\
	es.po\
	fr.po\
	gl.po\
	hu.po\
	id.po\
	it.po\
	ja.po\
	nl.po\
	pl.po\
	pt.po\
	pt_BR.po\
	ru.po\
	sl_SI.po\
	sv.po\
	tr.po\
	zh_CN.po\
	zh_TW.po

GMO_FILES = $(patsubst %.po,$(BUILD_DIR)/%/LC_MESSAGES/$(PACKAGE).mo,$(FILES))
MO_FILES = $(foreach po,$(FILES), $(INSTALL_DIR)/$(basename $(po))/LC_MESSAGES/$(PACKAGE).mo)

all: $(GMO_FILES)

update-po:
	pushd $(top_srcdir); $(MDTOOL) gettext-update; popd

statistics:
	@for LANGFILE in $(FILES); do \
		echo "$$LANGFILE:"; \
		msgfmt -o /dev/null --verbose "$$LANGFILE"; \
	done

$(GMO_FILES): $(BUILD_DIR)/%/LC_MESSAGES/$(PACKAGE).mo: %.po
	mkdir -p $(dir $@)
	msgfmt '$<' -o '$@'
	
$(MO_FILES): $(INSTALL_DIR)/%/LC_MESSAGES/$(PACKAGE).mo : $(BUILD_DIR)/%/LC_MESSAGES/$(PACKAGE).mo
	mkdir -p $(dir $@)
	cp '$<' '$@'

install-local: $(MO_FILES)

CLEANFILES = $(GMO_FILES)
EXTRA_DIST = Makefile $(FILES)
install: install-local
uninstall: uninstall-local
clean: clean-local

include $(top_srcdir)/rules.make

## monodevelop-java 2.2

=== po/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 all: $(GMO_FILES)
 
 update-po:
-	pushd $(top_srcdir); $(MDTOOL) gettext-update; popd
+	cd $(top_srcdir) && $(MDTOOL) gettext-update
 
 statistics:
 	@for LANGFILE in $(FILES); do \

## monodevelop-java 2.5.92

=== debian/changelog ===
monodevelop-java (2.5.92-1) experimental; urgency=low

  * [149254e] Use upstream-experimental branch in gbp.conf.
  * [f12eec5] Don't repack the orig-source tarball. It's not the middle ages.
  * [64f056e] Imported Upstream version 2.5.92
  * [c2d6759] Remove standalone Quilt, use DebSrc 3.0 (quilt) instead.
  * [d03a33b] Bump build-dependencies
  * [85dd83b] Bump Debian Standards Version to 3.9.2.
  * [646f5ed] Refresh debian/patches/use_csc.patch.

 -- Jo Shields <directhex@apebox.org>  Tue, 28 Jun 2011 22:16:00 +0100

monodevelop-java (2.4-3) experimental; urgency=low

  * [bf3e34b] Add a gbp.conf, since we're building on a non-default
    branch
  * [40545a2] Convert from Debhelper 5 with dpatch to DH7 with Quilt.
  * [6eb894b] Do a little mangling with dh_gencontrol to allow non-
    matching versions of the addins versus the main MonoDevelop package.
    Say if MD 2.4.1 is released, but the Java addin remains at 2.4.

 -- Jo Shields <directhex@apebox.org>  Tue, 21 Dec 2010 19:37:42 +0000

monodevelop-java (2.4-2) unstable; urgency=low

  * [111e478] Add an Uploaders field with me in it, and set the package
    to team-maintained.

 -- Jo Shields <directhex@apebox.org>  Mon, 13 Sep 2010 16:11:53 +0100

monodevelop-java (2.4-1) experimental; urgency=low

  * New upstream release
  * debian/source/format:
    + Force DebSrc 1.0
  * debian/control:
    + Build-depend on MonoDevelop 2.4
    + Stop tinkernig with binary dependency on MonoDevelop, since both
      it and this plugin have the same version.
  * debian/rules:
    + Stop using ../tarballs for tarballs in get-orig-source rule

 -- Jo Shields <directhex@apebox.org>  Thu, 17 Jun 2010 13:17:54 +0100

monodevelop-java (2.2-3) unstable; urgency=low

  * Rebuild against MonoDevelop 2.2.2
  * debian/control:
    + Build-depend on MonoDevelop 2.2.2
    + Fiddle binary dependencies to require MonoDevelop 2.2.2

 -- Jo Shields <directhex@apebox.org>  Fri, 11 Jun 2010 12:09:07 +0100

monodevelop-java (2.2-2) unstable; urgency=low

  * Rebuild against MonoDevelop 2.2.1
  * debian/control:
    + No-change bump to Standards 3.8.4
    + Build-depend on MonoDevelop 2.2.1
    + Fiddle binary dependencies to require MonoDevelop 2.2.1

 -- Jo Shields <directhex@apebox.org>  Fri, 12 Feb 2010 13:13:15 +0000

monodevelop-java (2.2-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Use -dev packages
    + Use mono-devel 2.4.3 and drop individual library build-deps

 -- Jo Shields <directhex@apebox.org>  Mon, 11 Jan 2010 13:47:25 +0000

monodevelop-java (2.1.1-1) unstable; urgency=low

  [ Jo Shields ]
  * New upstream release
  * debian/rules:
    + Deterministic get-orig-source rule (creates persistent md5sum)
  * debian/patches/use_csc.dpatch,
    debian/control:
    + Use mono-csc from mono-devel 2.4.2.3+

  [ Mirco Bauer ]
  * debian/control:
    + Bumped Standards-Version to 3.8.3 (no changes needed)
    + Changed Section to cli-mono to match archive overrides.

 -- Jo Shields <directhex@apebox.org>  Sun, 18 Oct 2009 23:31:39 +0100

monodevelop-java (2.0-1) unstable; urgency=low

  [ Stefan Ebner ]
  * Remove unneeded libgnome-cil build-dependency
  * Bump Standards version to 3.8.1

  [ Jo Shields ]
  * New upstream release
  * debian/control:
    + Tweak dependencies to allow for +dfsg version of monodevelop in
      binary package dependencies

  [ Iain Lane ]
  * Bump MD build-dep as requested by configure. 

 -- Jo Shields <directhex@apebox.org>  Thu, 02 Apr 2009 22:22:09 +0100

monodevelop-java (1.9.3-1) unstable; urgency=low

  * New upstream (bugfix) release.
  * debian/control:
    + Tighten binary dependency on monodevelop, to ensure the plugin is only
      installed using the same monodevelop version, as the plugins are not
      forward compatible.
  * debian/watch:
    + Updated to use directory of ftp/http download server.
  
 -- Mirco Bauer <meebey@debian.org>  Tue, 17 Mar 2009 23:25:10 +0100

monodevelop-java (1.9.2-2) unstable; urgency=low

  [ Jo Shields ]
  * debian/rules,
    debian/patches/allow_minimal_configure_for_clean.dpatch:
    + Tweak build process to allow "clean" rule to run without
      all the package dependencies installed

  [ Mirco Bauer ]
  * Upload to unstable.

 -- Mirco Bauer <meebey@debian.org>  Thu, 05 Mar 2009 22:59:45 +0100

monodevelop-java (1.9.2-1) experimental; urgency=low

  [ Jo Shields ]
  * New upstream release
  * debian/control:
    + Build-Depend on Monodevelop 2.0 beta 1
    + Set binary depends for javac to recent Java Team proclamations

  [ Mirco Bauer ]
  * debian/rules:
    + Implemented get-orig-source target.
  * debian/watch:
    + Updated to unstable releases.

 -- Mirco Bauer <meebey@debian.org>  Wed, 18 Feb 2009 20:56:56 +0100

monodevelop-java (1.0-2) experimental; urgency=low

  * debian/patches/use_csc.dpatch, debian/control:
    + Mono 2.0 transition - patch build system to use csc
    + Remove build-deps on mono-gmcs and libmono-dev and replace with
      mono-devel (>= 2.0) to pick up csc.
  * debian/rules:
    + Remove autogenerated files config.log and config.make in clean target -
      they cause noise in the diff (Lintian cleanup).
  * debian/control: Bump standards-version to 3.8.0 .
  * debian/copyright: Update FSF address (Lintian cleanup). 

 -- Iain Lane <laney@ubuntu.com>  Wed, 17 Dec 2008 23:51:14 +0000

monodevelop-java (1.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated monodevelop build-dependency to >= 1.0.

 -- Mirco Bauer <meebey@debian.org>  Sat, 29 Mar 2008 18:55:56 +0100

monodevelop-java (0.19-1) unstable; urgency=low

  * New upstream release

 -- Mirco Bauer <meebey@debian.org>  Thu, 28 Feb 2008 23:00:38 +0100

monodevelop-java (0.18-1) unstable; urgency=low

  * Initial packaging, partly based on monodevelop-java of the monodevelop
    source package.

 -- Mirco Bauer <meebey@debian.org>  Sun, 10 Feb 2008 16:58:49 +0100

=== debian/control ===
Source: monodevelop-java
Section: cli-mono
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: cli-common-dev (>= 0.8~),
 monodevelop (>= 2.5.92),
 mono-devel (>= 2.10),
 ikvm (>= 0.34),
 libgtk2.0-cil-dev,
 libglade2.0-cil-dev,
 libglib2.0-cil-dev,
 libmono-addins-cil-dev
Standards-Version: 3.9.2
Homepage: http://www.monodevelop.com/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-cli-apps/packages/monodevelop-java/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-cli-apps/packages/monodevelop-java/trunk/

Package: monodevelop-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends},
 monodevelop (>= ${misc:Version}),
 monodevelop (<< ${misc:Version}.),
 ikvm (>= 0.34),
 default-jdk | java-sdk
Description: Java plugin for MonoDevelop
 MonoDevelop is a GNOME IDE primarily designed for C# and other .NET
 languages.
 .
 This package enables Java integration for MonoDevelop.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))
SOURCE_DIR = $(DEBIAN_DIR)/..

DEB_VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Version | cut -d" " -f2)   
DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')

MDVERSION = 2.5.92

include /usr/share/cli-common/cli.make

override_dh_gencontrol:
	dh_gencontrol -i -- -Vmisc:Version=$(MDVERSION)

override_dh_auto_configure:
	./configure --prefix=/usr

override_dh_auto_clean:
	./configure --clean-only
	dh_clean
	rm -f config.log config.make

get-orig-source:
	uscan \
		--package $(DEB_SOURCE_NAME) \
		--watchfile $(DEBIAN_DIR)/watch \
		--upstream-version $(VERSION) \
		--download-version $(VERSION) \
		--destdir . \
		--force-download \
		--rename

%:
	dh $@

.PHONY: get-orig-source

=== debian/watch ===
version=2
http://ftp.novell.com/pub/mono/sources/monodevelop-java/monodevelop-java-([\d\.]+)\.(zip|tar\.(gz|bz2))

## monodevelop-java 2.6

=== po/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include $(top_srcdir)/Makefile.include
 include $(top_srcdir)/config.make
 
-MDTOOL = $(LOCAL_PKGCONFIG) mono `$(LOCAL_PKGCONFIG) pkg-config --variable=libdir monodevelop`/bin/mdrun.exe
+MDTOOL = $(LOCAL_PKGCONFIG) mono `$(LOCAL_PKGCONFIG) pkg-config --variable=libdir monodevelop`/bin/mdtool.exe
 BUILD_DIR = ../build/locale
 INSTALL_DIR = $(DESTDIR)$(prefix)/lib/monodevelop/AddIns/JavaBinding/locale

=== debian/changelog ===
monodevelop-java (2.6-1) experimental; urgency=low

  * [9238c46] Update debian/watch for Xamarin-hosted source.
  * [ef33edd] Imported Upstream version 2.6
  * [78d897d] Bump build dependencies.

 -- Jo Shields <directhex@apebox.org>  Mon, 12 Sep 2011 17:49:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
- monodevelop (>= 2.5.92),
+ monodevelop (>= 2.6),
  mono-devel (>= 2.10),
  ikvm (>= 0.34),
  libgtk2.0-cil-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
 VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')
 
-MDVERSION = 2.5.92
+MDVERSION = 2.6
 
 include /usr/share/cli-common/cli.make

=== debian/watch ===
version=2
	http://download.mono-project.com/sources/monodevelop-java/monodevelop-java-([\d\.]+)\.(zip|tar\.(gz|bz2))

## monodevelop-java 2.8.2

=== debian/changelog ===
monodevelop-java (2.8.2-1) experimental; urgency=low

  * [8b4925d] Imported Upstream version 2.8.2
  * [1b3c726] Bump dependencies to MonoDevelop 2.8.2.
  * [2a793e6] Bump build-dependencies to MonoDevelop 2.8.2.

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Nov 2011 17:45:01 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
- monodevelop (>= 2.6),
+ monodevelop (>= 2.8.2),
  mono-devel (>= 2.10),
  ikvm (>= 0.34),
  libgtk2.0-cil-dev,

## monodevelop-java 2.8.5

=== debian/changelog ===
monodevelop-java (2.8.5-1) experimental; urgency=low

  * [1769b0a] Imported Upstream version 2.8.5
  * [302678a] Bump build dependencies to MonoDevelop 2.8.5.
  * [7339e13] Bump binary dependencies to MonoDevelop 2.8.5

 -- Jo Shields <directhex@apebox.org>  Mon, 19 Dec 2011 15:39:27 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
- monodevelop (>= 2.8.2),
+ monodevelop (>= 2.8.5),
  mono-devel (>= 2.10),
  ikvm (>= 0.34),
  libgtk2.0-cil-dev,

## monodevelop-java 2.8.6.3

=== Makefile ===
--- 
+++ 
@@ -57,7 +57,6 @@
 		esac \
 	done
 	(make dist-local distdir=$(PACKAGE)-$(VERSION))
-	make
 	make post-dist-hook distsir=$$distdir
 	tar czvf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
 	rm -rf $(PACKAGE)-$(VERSION)

=== debian/changelog ===
monodevelop-java (2.8.6.3-1) unstable; urgency=low

  * [01e1a40] Imported Upstream version 2.8.6.3
  * [83cc530] Bump Monodevelop version requirements to 2.8.6.3

 -- Jo Shields <directhex@apebox.org>  Sun, 05 Feb 2012 11:30:00 +0100

monodevelop-java (2.8.5-2) unstable; urgency=low

  * [ba7735c] Remove gbp.conf since we're using master branch now
  * [a7044d2] Update debian/rules for DH8-compatible "--with cli"

 -- Jo Shields <directhex@apebox.org>  Fri, 20 Jan 2012 10:42:48 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
- monodevelop (>= 2.8.5),
+ monodevelop (>= 2.8.6.3),
  mono-devel (>= 2.10),
  ikvm (>= 0.34),
  libgtk2.0-cil-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
 VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')
 
-MDVERSION = 2.6
-
-include /usr/share/cli-common/cli.make
+MDVERSION = 2.8.6.3
 
 override_dh_gencontrol:
 	dh_gencontrol -i -- -Vmisc:Version=$(MDVERSION)
@@ -35,6 +33,6 @@
 		--rename
 
 %:
-	dh $@
+	dh $@ --with cli
 
 .PHONY: get-orig-source
